Package ru.bitel.bgbilling.modules.smarthouse.server.bean.forpost

# Class ForpostObjectDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<ForpostObject>
ru.bitel.bgbilling.modules.smarthouse.server.bean.forpost.ForpostObjectDao

All Implemented Interfaces:
  `AutoCloseable`

public class ForpostObjectDao extends ru.bitel.common.dao.AbstractDao<ForpostObject>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForpostObjectDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteForpostObject(int id)`
  `void`
  `doSync(int accountId, ForpostObject[] objects)`
  `ForpostObject`
  `getForpostObject(int id)`
  `protected ForpostObject`
  `getFromRS(ResultSet rs)`
  `List<ForpostObject>`
  `list()`
  `void`
  `searchForpostAccountObjects(SearchResult<ForpostObject> searchResult, int accountId)`
  `void`
  `searchForpostObjects(SearchResult<ForpostTMCAO<ForpostObject>> searchResult)`
  `protected void`
  `updateImpl(ForpostObject forpostObject)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForpostObjectDao

    public ForpostObjectDao(Connection con, int moduleId)

- ## Method Details

  - ### list

    public List<ForpostObject> list() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected ForpostObject getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ForpostObject>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(ForpostObject forpostObject) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ForpostObject>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteForpostObject

    public void deleteForpostObject(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchForpostObjects

    public void searchForpostObjects(SearchResult<ForpostTMCAO<ForpostObject>> searchResult) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchForpostAccountObjects

    public void searchForpostAccountObjects(SearchResult<ForpostObject> searchResult, int accountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doSync

    public void doSync(int accountId, ForpostObject[] objects) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getForpostObject

    public ForpostObject getForpostObject(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`